#ifndef __SKINELCHI_VIDEOSTATUS_H_
#define __SKINELCHI_VIDEOSTATUS_H_
#include <vdr/skins.h>
#include <vdr/thread.h>
#include <linux/dvb/video.h>

class cVideoStatusUpdate : public cThread {
private:
    virtual void Action(void);
    int pid;
    int height;
    int width;
    int ar;
    cBitmap *dfbmp;
    bool ev_video;
    cCondWait Wait;
public:
    cVideoStatusUpdate(void);
    ~cVideoStatusUpdate();
    void Update();
    int Width(void);
    int Height(void);
    int Ar(void);
    const char *DisplayFormat();
    cBitmap *DFbmp();
    int Pid;
    video_size_t vs;
    video_status videostatus;
    static cBitmap bmar16943, bmar169na, bmar169ps, bmar169vc, bmar43169ps, bmar43169vc, bmar432211ps, bmar432211psvc, bmar432211vc, bmar43na;
};

struct cVideoStatus {
    cVideoStatus(void);
    ~cVideoStatus();
    void Update();
    int Width(void);
    int Height(void);
    int Ar(void);
    bool NTSC(void);
    const char *VideoFormat();
    const char *DisplayFormat();
    cBitmap *DFbmp();
    cVideoStatusUpdate *VideoStatusUpdate;
    };

extern cVideoStatus VideoStatus;
#endif
